ようこそ! Geeklog Japan, Anonymous 2024/05/25 16:19 JST

Geeklog設置条件

  • 2006/05/05 09:29 JST
  • 投稿者:
  • 表示回数 7,252
Geeklog 設置条件:PHP4.1.0 以上 MySQL3.23.2 以上。 
PHP、MySQLそれぞれできるだけ最新のバージョンでインストールされることをお勧めします。

ただし、プラグインによってはPHP5に対応していないものもあるので注意が必要です。
MySQLのバージョン5.0以上では現在実績が少ないのでリスクがあります。

MySQLのバージョン5.0以上でUTFで使用が可能かと思いますが、 lib-database.phpの最後に次の1行を追加してインストールしてみてください。
DB_query ("SET NAMES 'utf8'" );
※対策しないでインストールすると、初期に作成される日本語の記事が文字化けしたり、画面より入力する記事が文字化けします。

サーバ別設置環境

XREA(UTF-8),ファーストサーバ(EUC)など多くの導入事例があります。 文字コードは、UTF-8を強く推奨します。

多くのサーバ環境で導入実績があり、Wikiプロジェクトで紹介しています。Wikiにご参加ください。

サーバ環境確認方法

サーバ環境を確認するには、たとえばinfo.php といった名前でファイルを作成し、

<?php  phpinfo()  ?>
と記述してWebサーバーにアップロードして実行して設定を確認してください。確認が終了したら、その実行ファイルは必ず削除してください。
※サーバによってはphpinfo()が利用できません。

掲示板で問合せる場合

インストールで不具合が起こっている場合には、以下の設定を掲示板でご連絡いただけると解決がはやくなるとおもいますのでご協力ください。メールでのご質問は受け付けておりません。

サーバ:
PHP Version:
mysql version:
register_globals:
default_charset:
mbstring.language:
mbstring.http_output:
mbstring.encoding_translation: